Subject: [SWIPL] type checking / inference for SWI

From: "Bernd Fischer" <[email-masked]>
Date: Mon, 19 Mar 2001 18:48:07 -0800

Hi,

is there any implementation of the Mycroft/O'Keefe type inference which
works for (full) SWI? Or any other good type checker / inference system?
Do these beasts handle all the nasty stuff as =.. and call?

Any hints?

Thanks,

-- fisch

--
------------------------------------------------------------------------------
Bernd Fischer                             Automated Software Engineering Group
RIACS, NASA Ames Research Center                    [email-masked]
M/S 269-2                               http://ase.arc.nasa.gov/people/fischer
Moffett Field, CA 94035, USA             +1(650)604-2977  fax 4036  rm 269-239